switches - How do I fix an Omron d2fc-f-7n microswitch from unwanted clicks? - Electrical Engineering Stack Exchange

Stack Exchange
sign up | log in |

Electrical Engineering
  • Questions
  • Tags
  • Tour
  • Users
  • Ask Question
Tell me more ×
Electrical Engineering Stack Exchange is a question and answer site for electronics and electrical engineering professionals, students, and enthusiasts. It's 100% free, no registration required.

How do I fix an Omron d2fc-f-7n microswitch from unwanted clicks?

up vote 10 down vote favorite
1

Omron d2fc-f-7n microswitches are used in computer mice all around, and they eventually start clicking several times per hit. AFAIK there is a flexible metal plate that wears out due to metal fatigue, so there must be a way to prolong its life.

The obvious solution is to remove the malfunctioning microswitch and replace with a spare, but where I live they aren't available at all.

switches repair
share | improve this question
asked Apr 15 '12 at 9:33
user1306322
334210
Nowadays you can buy electronic components from online stores which deliver them all over the world (e.g. farnell.com | digikey.com | futureelectronics.com ) – m.Alin Apr 15 '12 at 11:09
1
Delivery costs many times more than the items themselves, so I'd rather repair it. – user1306322 Apr 15 '12 at 11:26

3 Answers

active oldest votes
up vote 10 down vote accepted

Delivery costs many times more than the items themselves

Even from eBay? Whereabouts do you live?

One way you can get spares is to smash open another mouse that's broken for some other reason. Perhaps a friend has a broken one?

It may be possible to repair them. Those little switches have a snap fit cover, and can be opened up.

Omron switch catch

carefully pull on the catch with a fine blade, and remove the cover.

Inside the switch

At this point, plug in the mouse and test the switch. gently push on the metal spring on the switch, and see if the problem still happens. If not, try to push on it in such a way that the problem happens. After you have attempted to fix the switch, you will be able to test it again without re-assembling the whole mouse.

Unplug the mouse now.

The switches come in a variety of different designs, but they are fairly similar. There's a bistable metal spring which normally serves to ensure the contacts move rapidly and decisively. Either it's this spring which isn't pulling as hard, or the contacts are dirty.

Let's start with the spring itself:

Mouse button spring

You need to flatten it slightly. You might find it easier to remove the spring from the switch first. Place it on a table, and squash it slightly with your finger. Not too much. Better to err on the side of caution.

Then put the spring back in the switch. Test it again now. If it still bounces, then you might need to flatten the spring a little more. If this doesn't work, then try cleaning the contacts.

Tear off a thin (5mm wide) strip of J-Cloth or similar.

Apply a little abrasive cleaner (like CIF) to it. Thread it through the switch and pull it back and forth to rub away any dirt from the contacts.

Tear off another strip, and soak it in methylated spirits (or pure alcohol). Use this to clean off the abrasive cleaner.

Test the switch again. If it still doesn't work, then get a new switch.

share | improve this answer
answered Apr 15 '12 at 15:04
Rocketmagnet
13.7k31455
2
Fantsastic, thanks! – user1306322 Apr 15 '12 at 15:40
Those look like SPDT switches, which can be trivially debounced with a couple of NAND gates (SR latch). Is the manufacturer not debouncing with an SR latch? Or does the switch really bounce so hard that it bounces between both contacts when pressed? – Richard Hansen Mar 6 at 21:06
You have just extended the life of my extremely expensive Razer Mamba mouse. Thank you! – Oli May 22 at 10:36
up vote 3 down vote

You also might use the designated "Electrical Contacts Cleaner", if just spray on the switch. Those avoid the dismantles. Youtube has a video: Logitech MX Revolution mouse repair

share | improve this answer
edited Oct 2 '12 at 12:43
Bill the Lizard
244414
answered Oct 1 '12 at 14:09
Yuriy
311
This does work but in the case of a high-use mouse expect to do this once every month or so. Nothing beats taking it apart and physically cleaning the contacts. – Oli May 22 at 10:35
up vote 2 down vote

A small capacitor across the switch may do the trick. Say 100nF or so.

share | improve this answer
answered Apr 15 '12 at 9:54
jippie
10.5k21547
100nF combined with a 10k\$\Omega\$ pull-up gives you a 1ms time constant. Worn out switch contacts may bounce for several 10s of ms, so I'd pick a higher value for the cap. – stevenvh Apr 15 '12 at 10:12
Even seen some switches bounce for >100 ms.. – m.Alin Apr 15 '12 at 11:13
@m.Alin - Yes, this site even mentions a switch with a 157 ms(!) bounce when opening. – stevenvh Apr 15 '12 at 15:09
1
I had a switch that bounced the whole time you held it. That's when I gave up believing I'd ever find a max bounce time. – gbarry Oct 1 '12 at 17:33

Your Answer

draft saved
draft discarded

Sign up or log in

Sign up using Google

Sign up using Facebook

Sign up using Stack Exchange

Post as a guest

required, but not shown
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged switches repair or ask your own question.

tagged

switches × 307
repair × 73
asked | 1 year ago
viewed | 7703 times
active | 3 months ago

Community Bulletin

blog
Podcast #49 – The One Where We Edited Out The Title Reference

Get the weekly newsletter!

  • Top questions and answers
  • Important announcements
  • Unanswered questions

see an example newsletter

By subscribing, you agree to the privacy policy and terms of service.

Related

4
 Fixing an ATX PSU
0
 Fix remote controller button contacts
0
 How to repair a broken DVI port on my monitor?
2
 how to transfer data from arduino and display it to android tablet (speed, time, distance, and pulse)
1
 How can I repair lifted traces without a conductive pen?
2
 Fixing a blown oscilloscope?
1
 How to fix a broken sub connection and wire?
3
 How to diagnose and repair a radio?
0
 Fixing/Replacing Conductor Ribbon Cable
0
 How to fix a broken Sharp CD-BA150 stereo with the help of a service manual?
question feed
about help badges blog chat data legal privacy policy jobs advertising info mobile contact us feedback
Technology Life / Arts Culture / Recreation Science Other
  1. Stack Overflow
  2. Server Fault
  3. Super User
  4. Web Applications
  5. Ask Ubuntu
  6. Webmasters
  7. Game Development
  8. TeX - LaTeX
  1. Programmers
  2. Unix & Linux
  3. Ask Different (Apple)
  4. WordPress Answers
  5. Geographic Information Systems
  6. Electrical Engineering
  7. Android Enthusiasts
  8. IT Security
  1. Database Administrators
  2. Drupal Answers
  3. SharePoint
  4. User Experience
  5. Mathematica
  6. more (14)
  1. Photography
  2. Science Fiction & Fantasy
  3. Seasoned Advice (cooking)
  4. Home Improvement
  5. more (13)
  1. English Language & Usage
  2. Skeptics
  3. Mi Yodeya (Judaism)
  4. Travel
  5. Christianity
  6. Arqade (gaming)
  7. Bicycles
  8. Role-playing Games
  9. more (21)
  1. Mathematics
  2. Cross Validated (stats)
  3. Theoretical Computer Science
  4. Physics
  5. more (7)
  1. Stack Apps
  2. Meta Stack Overflow
  3. Area 51
  4. Stack Overflow Careers
site design / logo © 2013 stack exchange inc; user contributions licensed under cc-wiki with attribution required
rev 2013.6.10.733